summaryrefslogtreecommitdiff
path: root/build-aux
diff options
context:
space:
mode:
authorRico Tzschichholz <ricotz@ubuntu.com>2021-03-05 19:32:38 +0100
committerRico Tzschichholz <ricotz@ubuntu.com>2021-03-05 19:32:38 +0100
commit8723f32a94b99cf3a87b12b576b857ea2716bf12 (patch)
treebc975a3d4fa771eb54a0c24eeb77abb1a742256c /build-aux
parent497b0a65535e7ac266dfcd4e2cbfa25d1f9651f9 (diff)
downloadvala-8723f32a94b99cf3a87b12b576b857ea2716bf12.tar.gz
testrunner: Include Gio-2.0/gio-2.0 for GIR tests too
Diffstat (limited to 'build-aux')
-rwxr-xr-xbuild-aux/testrunner.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/build-aux/testrunner.sh b/build-aux/testrunner.sh
index dd97adb08..6c31fbe76 100755
--- a/build-aux/testrunner.sh
+++ b/build-aux/testrunner.sh
@@ -105,6 +105,7 @@ function sourceheader() {
xmlns:glib="http://www.gtk.org/introspection/glib/1.0">
<include name="GLib" version="2.0"/>
<include name="GObject" version="2.0"/>
+ <include name="Gio" version="2.0"/>
<c:include name="test.h"/>
<namespace name="Test"
version="1.2"
@@ -130,7 +131,8 @@ function sourceend() {
echo " </namespace>" >> $SOURCEFILE
echo "</repository>" >> $SOURCEFILE
fi
- echo "$VAPIGEN $VAPIGENFLAGS --library $ns $ns.gir && tail -n +5 $ns.vapi|sed '\$d'|diff -wu $ns.vapi.ref -" > check
+ PACKAGEFLAGS=$([ -z "$PACKAGES" ] || echo $PACKAGES | xargs -n 1 echo -n " --pkg")
+ echo "$VAPIGEN $VAPIGENFLAGS $PACKAGEFLAGS --library $ns $ns.gir && tail -n +5 $ns.vapi|sed '\$d'|diff -wu $ns.vapi.ref -" > check
else
PACKAGEFLAGS=$([ -z "$PACKAGES" ] || echo $PACKAGES | xargs -n 1 echo -n " --pkg")
echo "$VALAC $VALAFLAGS $PACKAGEFLAGS -o $ns$EXEEXT $SOURCEFILE" >> prepare